import type { Operation } from '../json-patch/codec/json/types';
export declare class JsonPatchDiff {
    protected patch: Operation[];
    protected diffVal(path: string, src: unknown, dst: unknown): void;
    protected diffStr(path: string, src: string, dst: string): void;
    protected diffBin(path: string, src: Uint8Array, dst: Uint8Array): void;
    protected diffObj(path: string, src: Record<string, unknown>, dst: Record<string, unknown>): void;
    protected diffArr(path: string, src: unknown[], dst: unknown[]): void;
    diffAny(path: string, src: unknown, dst: unknown): void;
    diff(path: string, src: unknown, dst: unknown): Operation[];
}
